#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	gnome-keyring
#-----------------------------------------------------------------------------
Name		:	libgnome-keyring
Version		:	3.12.0
Release		:	14.4.0.0%{?dist}
Summary		:	Used by applications to integrate with the GNOME Keyring system
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://github.com/GNOME/libgnome-keyring
			#http://ftp.gnome.org/pub/gnome/sources/libgnome-keyring/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	dbus
BuildRequires	:	intltool
BuildRequires	:	gtk-doc
BuildRequires	:	libgcrypt
#-----------------------------------------------------------------------------
%description
gnome-keyring is a program that keep password and other secrets for
users. The library libgnome-keyring is used by applications to integrate
with the gnome keyring system.

#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-introspection=no			\
	--enable-vala=no				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{sname}-1/%{sname}*.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{sname}-1.pc
%{_datadir}/gtk-doc/html/%{sname}/*.{html,png}
%{_datadir}/gtk-doc/html/%{sname}/%{sname}.devhelp2
%{_datadir}/gtk-doc/html/%{sname}/index.sgml
%{_datadir}/gtk-doc/html/%{sname}/style.css
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
